package com.ym.mec.biz.dal.dto;

import java.math.BigDecimal;

public class QuitMusicGroupDto {

    private String musicGroupId;

    private Integer userId;

    private String reason;

    private boolean refundCourseFee;

    private boolean refundInstrumentFeeFlag;

    private boolean refundTeachingAssistantsFeeFlag;

    private boolean maintenanceFeeFlag;

    private BigDecimal amount = BigDecimal.ZERO;

    public boolean isRefundCourseFee() {
        return refundCourseFee;
    }

    public void setRefundCourseFee(boolean refundCourseFee) {
        this.refundCourseFee = refundCourseFee;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public boolean isRefundInstrumentFeeFlag() {
        return refundInstrumentFeeFlag;
    }

    public void setRefundInstrumentFeeFlag(boolean refundInstrumentFeeFlag) {
        this.refundInstrumentFeeFlag = refundInstrumentFeeFlag;
    }

    public boolean isRefundTeachingAssistantsFeeFlag() {
        return refundTeachingAssistantsFeeFlag;
    }

    public void setRefundTeachingAssistantsFeeFlag(boolean refundTeachingAssistantsFeeFlag) {
        this.refundTeachingAssistantsFeeFlag = refundTeachingAssistantsFeeFlag;
    }

    public boolean isMaintenanceFeeFlag() {
        return maintenanceFeeFlag;
    }

    public void setMaintenanceFeeFlag(boolean maintenanceFeeFlag) {
        this.maintenanceFeeFlag = maintenanceFeeFlag;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }
}
